org.apache.ignite.internal.util

## Class IgniteExceptionRegistry.ExceptionInfo

- java.lang.Object
- - org.apache.ignite.internal.util.IgniteExceptionRegistry.ExceptionInfo

All Implemented Interfaces:
  Serializable

Enclosing class:
  IgniteExceptionRegistry

    public static class IgniteExceptionRegistry.ExceptionInfo
    extends Object
    implements Serializable

Detailed info about suppressed error.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ExceptionInfo(long order, Throwable error, String msg, long threadId, String threadName, long time)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Throwable` `error()`
`String` `message()`
`long` `order()`
`long` `threadId()`
`String` `threadName()`
`long` `time()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ExceptionInfo

    public ExceptionInfo(long order,
                         Throwable error,
                         String msg,
                         long threadId,
                         String threadName,
                         long time)

Constructor.

Parameters:
  `order` - Locally unique ID that is atomically incremented for each new error.
  `error` - Suppressed error.
  `msg` - Message that describe reason why error was suppressed.
  `threadId` - Thread ID.
  `threadName` - Thread name.
  `time` - Occurrence time.

### Method Detail

#### order

    public long order()

Returns:
  Locally unique ID that is atomically incremented for each new error.

#### message

    public String message()

Returns:
  Gets message that describe reason why error was suppressed.

#### error

    public Throwable error()

Returns:
  Suppressed error.

#### threadId

    public long threadId()

Returns:
  Gets thread ID.

#### threadName

    public String threadName()

Returns:
  Gets thread name.

#### time

    public long time()

Returns:
  Gets time.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018